HPE Greenlake for File Storage REST APIs
- Delete a filesystem identified by {filesystemId} on a HPE Alletra MP B10000 storage system identified by {systemId}
HPE Greenlake for File Storage REST APIs (1.0.0)
The offset of the first item in the collection to return
The filter query parameter is used to filter the set of resources returned in the response. The returned set of resources must match the criteria in the filter query parameter. A comparison compares a property name to a literal. The comparisons supported are the following:
- “eq” : Is a property equal to value. Valid for number, boolean and string properties.
- “gt” : Is a property greater than a value. Valid for number or string timestamp properties.
- “lt” : Is a property less than a value. Valid for number or string timestamp properties
- “in” : Is a value in a property (that is an array of strings) Examples: GET /file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems?filter=name eq 'FS1' Filters are supported on the following attributes:
- state
- prov
- name
- shareCount
- id
- generation
A comma-separated list of properties to sort by, followed by a direction indicator ("asc" or "desc"). If no direction indicator is specified the default order is ascending. Sorting is supported for the following attributes:
- name
- createdAt Example: GET /file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems?sort=name desc
- https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems
- https://us1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems
- https://jp1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/file-storage/public/openapi/file-storage-public-v1alpha1/file-storage-api/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
'https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Success
A monotonically increasing value. This value updates when the resource is updated and can be used as a short way to determine if a resource has changed or which of two different copies of a resource is more up to date.
Specifies if compression is enabled on this filesystem.
Specifies if deduplication is enabled on this filesystem.
Specifies if data reduction is enabled on this filesystem.
{ "count": 0, "items": [ { … } ], "offset": 0, "total": 0 }
- https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems/{filesystemId}
- https://us1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems/{filesystemId}
- https://jp1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems/{filesystemId}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/file-storage/public/openapi/file-storage-public-v1alpha1/file-storage-api/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems/{filesystemId}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X DELETE \
'https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems/{filesystemId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "message": "Successfully submitted", "status": "SUBMITTED", "taskUri": "/rest/vega/v1/tasks/4969a568-6fed-4915-bcd5-e4566a75e00c" }
- https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems/{filesystemId}
- https://us1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems/{filesystemId}
- https://jp1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems/{filesystemId}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/file-storage/public/openapi/file-storage-public-v1alpha1/file-storage-api/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems/{filesystemId}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
'https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems/{filesystemId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "filesystemCapacity": { "compressionRatio": 0, "freeSizeInMiB": 0, "savingsRatio": 0, "sizeInMiB": 0, "usedCapacityPercentage": 0, "usedSizeInMiB": 0, "vvSizeInMiB": 100 }, "filesystemPerformance": { "iops": { … }, "latencyMs": { … }, "throughputKbps": { … } }, "commonResourceAttributes": { "cloudState": "CONNECTED", "errCode": "string", "errMessage": "string" }, "createdAt": { "ms": 0, "tz": "string" }, "customerId": "string", "detailedState": "STATE_NORMAL", "filesystemId": 1, "filesystemType": "XFS", "fsmaster": 1, "generation": 0, "id": "7CE751P312", "isCompressionEnabled": true, "isDedupeEnabled": true, "isReductionEnabled": true, "name": "FS1", "prov": "tdvv", "replicant": 1, "replicant2": 1, "replicant3": 1, "resourceUri": "string", "shareCount": 1, "state": "NORMAL", "systemId": "7CE751P312", "systemWwn": "7CE751P312", "type": "string", "volumeDetails": [ { … } ] }
- https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems/{filesystemId}/capacity-history
- https://us1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems/{filesystemId}/capacity-history
- https://jp1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems/{filesystemId}/capacity-history
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/file-storage/public/openapi/file-storage-public-v1alpha1/file-storage-api/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems/{filesystemId}/capacity-history
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
'https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems/{filesystemId}/capacity-history' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "count": 0, "items": [ { … } ], "offset": 0, "total": 0 }
- https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems/{filesystemId}/performance-history
- https://us1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems/{filesystemId}/performance-history
- https://jp1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems/{filesystemId}/performance-history
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/file-storage/public/openapi/file-storage-public-v1alpha1/file-storage-api/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems/{filesystemId}/performance-history
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
'https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems/{filesystemId}/performance-history' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "count": 0, "items": [ { … } ], "offset": 0, "total": 0 }